We use cookies to operate this website, improve its usability and track visits. Please note that by using this site you are consenting to the use of cookies.
Learn More |
Discover what SOLIDWORKS users are discussing.
Categories:
Sort:
I am new to the forums so hopefully this is all posted correctly in the right place.... I am trying to make a macro in excel that will take an inputted file name and folder name and, going to epdm, grab the BOM and print it in the excel document. I am trying to compare this BOM to another BOM grabbed from a different program and make sure they are correct, all in one click.
SOLIDWORKS Forums
18 days ago
I'm trying to develop an API which will allow me to select one of several numbering schemes (serial numbers). The problem is that all the examples have me building an add-in which handles the Serial Number generation as opposed to just generating it from one of the existing serial numbers set up via Admin Tool. The reason I don't want to use a custom S/N generator, is because I don't want to loose the ability to generate new numbers via Copy Tree and Move Tree.
SOLIDWORKS Forums
18 days ago
Writing an VB.NET Add-In with Visual Studio it takes much time time to test the application due the fact that SolidWorks need to start and you have to open a file. Is there a method to avoid this?
SOLIDWORKS Forums
18 days ago
Ok, I am attempting to become more dangerous than I already am. I am learning to create a property tab with PTB and have come to an issue that stumps me. I want to enter the weight as a custom property but I want to truncate it. Setting "Weight" to be (SW-Mass) will give my weight but it goes to 6 decimal points.
SOLIDWORKS Forums
18 days ago
I am trying to make a temporary work around to update my Part's material based on a custom property. I need to do this since I am creating models through DriveWorks but I cannot get the functionality for DW and SW correct when selecting from custom materials. I can still drive the Custom Property "DWMaterial" from DW and I can also setup DW to run a macro before finishing the part. The only problem being I do not understand macros enough to write my own... any help?
SOLIDWORKS Forums
18 days ago
sometimes addordinate dimension doesn't works hallo guis, i just need some suggestion
SOLIDWORKS Forums
18 days ago
So I am working with some curves that I would like to be able to add dimensional coordinates to, based off XY grid. My thoughts were to make a tangent construction line at each end of the curve in X direction then to get the XY coordinates every 1/2" or such. I can manually do this fairly easily but i was looking for a more automated way. Does anyone have any ideas, or even a API direction to suggest for me to pursue?
SOLIDWORKS Forums
18 days ago
Cut-list Property Macro I am looking for a macro that will allow me to select a specific cut-list in my part, and modify the cut-list properties of the selected cut-list. As an example, with Cut-List1 selected, the macro would edit the Cut-list properties to alter the description property and add the Length property.
SOLIDWORKS Forums
18 days ago
I'm looking for a macro that adds a configuration specific property based on sheet metal flat pattern dimensions (something like t x W x L). I've found this macro , but it should be run while the part is flattened. Otherwise it only returns bounding box.
SOLIDWORKS Forums
18 days ago
Hi Guys, I try to add my addin dll to EPDM for debug purpose while it can't work. The addin disappear after I added. However, I can add this addin to EPDM successfully. Pls advise.
SOLIDWORKS Forums
18 days ago
when you click a point ,the status bar show the point coordinate values Try these codes and modify as needed Option Explicit Sub main() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swSelMgr As SldWorks.SelectionMgr Dim selPt As Variant Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc selPt = swModel.SelectionManager.GetSelectionPoint2(1, -1) Debug.Print selPt(0) * 1000# & ", " & selPt(1) * 1000# & ", " & selPt(2) * 1000# ' Values in MM swModel.
SOLIDWORKS Forums
19 days ago
I want to write a code to auto run when i startup a specified add-in ,such as inspection add in . do you how to use sw API event. Are you using the Addin template from Solidworks? There is a ConnectedToSolidWorks method that gets called after the add-in is connected.
SOLIDWORKS Forums
19 days ago
I have a weldment drawing with the assembly in its finished state. 3 "default" configuration views on page 1, top, front, and right.
SOLIDWORKS Forums
19 days ago
Need help to get a list of Exluded from BOM Parts to excel or text file. I tried by editing existing macros to get the result but got stuck at a point. Refer the below pasted macro and help me out.
SOLIDWORKS Forums
19 days ago
I looked at using ForceReleaseLocks Method, but it doesn't work on drawings. I started looking into See ISldWorks::CloseAndReopen for details about closing and reopening a drawing document without unloading. But I'm confused to its usage, the sample API, is limited in descriptive help.
SOLIDWORKS Forums
19 days ago
I am creating a Solidworks AddIn and one of the things I'm trying to do is, I want to catch when someone does a save as to a component. I want to wright in the comments part of the property manager the name of the file the document was saved from. I result when someone does a save as to a component. In the comments of the new part it will state Component (serial#) made from Component (serial#).
SOLIDWORKS Forums
19 days ago
Precondition: Drawing file ab.slddrw has 2 sheets with name sheet-A and sheet-B. View on sheet-A is linked to part file a.sldprt and view
SOLIDWORKS Forums
19 days ago
Is it possible for a macro to determine if a user input value is different from a series of numbers? Lets say the user can input any value he imagines, but the macro should only run if the number is equal to
SOLIDWORKS Forums
19 days ago
Currently my code looks like this If PPPP.Value = True Then Material = "PP-H 100, RAL 7032"
SOLIDWORKS Forums
19 days ago
I'm currently building an add-in that creates drawings. When switching between models, the task pane switches to show the appropriate controls for parts/assemblies/drawings. I'm now looking for a way to distinguish between multiple unsaved drawing files. Is there a proper, robust way to do that?
SOLIDWORKS Forums
19 days ago
Delete many components (C#) Hi guys Help me please to understand. I use C# to develop software for solidworks.
SOLIDWORKS Forums
19 days ago
I've been programming a macro that would select the first feature in my Cut-list folder and then create a 3D Bounding Box for the selected item. From what I've gathered from online resources, here is my (maybe 100th) attempt at the macro.
SOLIDWORKS Forums
19 days ago
I there a way to switch Toolboxes using a macro? I've tried using the record macro function and as always it ends up blank and records nothing. My company's Toolbox has absolutely screwed the pooch. Tomorrow we're upgrading from 2014 SP2.0 (!!) to 2016 SP5.0 and I'm going to configure a brand new Toolbox.
SOLIDWORKS Forums
20 days ago
Bend line length I am trying to get the lengths of bend lines. I managed to do so, by iview.getbendlines and then throught isketchsegment interface getlength feature. the only problem i face now, that the order of bend line's length that i obtain do not match the order of those bends in bend table.
SOLIDWORKS Forums
20 days ago